#-- start of make_header -----------------

#====================================
#  Document buildTask
#
#   Generated Fri Nov 28 15:15:29 2014  by ejansen
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_buildTask_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_buildTask_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_buildTask

AtlantisJava_tag = $(tag)

#cmt_local_tagfile_buildTask = $(AtlantisJava_tag)_buildTask.make
cmt_local_tagfile_buildTask = $(bin)$(AtlantisJava_tag)_buildTask.make

else

tags      = $(tag),$(CMTEXTRATAGS)

AtlantisJava_tag = $(tag)

#cmt_local_tagfile_buildTask = $(AtlantisJava_tag).make
cmt_local_tagfile_buildTask = $(bin)$(AtlantisJava_tag).make

endif

include $(cmt_local_tagfile_buildTask)
#-include $(cmt_local_tagfile_buildTask)

ifdef cmt_buildTask_has_target_tag

cmt_final_setup_buildTask = $(bin)setup_buildTask.make
#cmt_final_setup_buildTask = $(bin)AtlantisJava_buildTasksetup.make
cmt_local_buildTask_makefile = $(bin)buildTask.make

else

cmt_final_setup_buildTask = $(bin)setup.make
#cmt_final_setup_buildTask = $(bin)AtlantisJavasetup.make
cmt_local_buildTask_makefile = $(bin)buildTask.make

endif

cmt_final_setup = $(bin)setup.make
#cmt_final_setup = $(bin)AtlantisJavasetup.make

#buildTask :: ;

dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	$(echo) 'buildTask'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = buildTask/
#buildTask::
#	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

ifdef use_requirements
$(use_requirements) : ;
endif

#-- end of make_header ------------------
build_xml_dependencies = ../ant/build.xml

buildTask :: ${PACKAGE_ROOT}/ant/config-CMT.properties
	/bin/mkdir -p ${PACKAGE_ROOT}/lib
	ant ${antoptions} -buildfile ../ant/build.xml -DtargetDir=. jar-atlantis

${PACKAGE_ROOT}/ant/config-CMT.properties :: ../ant/build.xml
	cmt show sets   | sed s/\'//g >  ttt
	cmt show macros | sed s/\'//g >> ttt
	cmt filter ttt ${PACKAGE_ROOT}/ant/config-CMT.properties
	echo "top=${PACKAGE_ROOT}"                 >> ${PACKAGE_ROOT}/ant/config-CMT.properties
	cat "${ANTROOT}/ant/standard.properties"   >> ${PACKAGE_ROOT}/ant/config-CMT.properties
	echo "config.db=${ANTROOT}/ant"            >> ${PACKAGE_ROOT}/ant/config-CMT.properties
	echo "name=`cmt show macro_value package`" >> ${PACKAGE_ROOT}/ant/config-CMT.properties

../ant/build.xml :: ${ANTROOT}/ant/default.xml
	/bin/mkdir -p ${PACKAGE_ROOT}/ant
	if [ ! -f ../ant/build.xml ]; then /bin/cp ${ANTROOT}/ant/default.xml ../ant/build.xml; fi

buildTaskclean :: ${PACKAGE_ROOT}/ant/config-CMT.properties
	ant ${antoptions} -buildfile ../ant/build.xml -DtargetDir=. clean
	/bin/rm -f ${PACKAGE_ROOT}/ant/config-CMT.properties
	
#-- start of cleanup_header --------------

clean :: buildTaskclean ;
#	@cd .

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(buildTask.make) $@: No rule for such target" >&2
else
.DEFAULT::
	$(error PEDANTIC: $@: No rule for such target)
endif

buildTaskclean ::
#-- end of cleanup_header ---------------
