#-- start of make_header -----------------

#====================================
#  Document install_events
#
#   Generated Fri Nov 28 14:39:21 2014  by ejansen
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_install_events_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_install_events_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_install_events

AtlantisJava_tag = $(tag)

#cmt_local_tagfile_install_events = $(AtlantisJava_tag)_install_events.make
cmt_local_tagfile_install_events = $(bin)$(AtlantisJava_tag)_install_events.make

else

tags      = $(tag),$(CMTEXTRATAGS)

AtlantisJava_tag = $(tag)

#cmt_local_tagfile_install_events = $(AtlantisJava_tag).make
cmt_local_tagfile_install_events = $(bin)$(AtlantisJava_tag).make

endif

include $(cmt_local_tagfile_install_events)
#-include $(cmt_local_tagfile_install_events)

ifdef cmt_install_events_has_target_tag

cmt_final_setup_install_events = $(bin)setup_install_events.make
#cmt_final_setup_install_events = $(bin)AtlantisJava_install_eventssetup.make
cmt_local_install_events_makefile = $(bin)install_events.make

else

cmt_final_setup_install_events = $(bin)setup.make
#cmt_final_setup_install_events = $(bin)AtlantisJavasetup.make
cmt_local_install_events_makefile = $(bin)install_events.make

endif

cmt_final_setup = $(bin)setup.make
#cmt_final_setup = $(bin)AtlantisJavasetup.make

#install_events :: ;

dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	$(echo) 'install_events'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = install_events/
#install_events::
#	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

ifdef use_requirements
$(use_requirements) : ;
endif

#-- end of make_header ------------------


ifeq ($(INSTALLAREA),)
installarea = $(CMTINSTALLAREA)
else
ifeq ($(findstring `,$(INSTALLAREA)),`)
installarea = $(shell $(subst `,, $(INSTALLAREA)))
else
installarea = $(INSTALLAREA)
endif
endif

install_dir = ${installarea}/share/AtlantisJava/events

install_events :: install_eventsinstall ;

install :: install_eventsinstall ;

install_eventsclean :: install_eventsuninstall

uninstall :: install_eventsuninstall


# This is to avoid error in case there are no files to install
# Ideally, the fragment should not be used without files to install,
# and this line should be dropped then
install_eventsinstall :: ;

event_dtd_dependencies = ../events/event.dtd
test_events_zip_dependencies = ../events/test_events.zip


install_eventsinstall :: ${install_dir}/event.dtd
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/event.dtd :: ../events/event.dtd
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../events/event.dtd`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "event.dtd" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../events/event.dtd : ;

install_eventsuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../events/event.dtd`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "event.dtd" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_eventsinstall :: ${install_dir}/test_events.zip
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/test_events.zip :: ../events/test_events.zip
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../events/test_events.zip`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "test_events.zip" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../events/test_events.zip : ;

install_eventsuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../events/test_events.zip`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "test_events.zip" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi
#-- start of cleanup_header --------------

clean :: install_eventsclean ;
#	@cd .

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(install_events.make) $@: No rule for such target" >&2
else
.DEFAULT::
	$(error PEDANTIC: $@: No rule for such target)
endif

install_eventsclean ::
#-- end of cleanup_header ---------------
