#-- start of make_header -----------------

#====================================
#  Document install_geometry
#
#   Generated Fri Nov 28 14:39:22 2014  by ejansen
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_install_geometry_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_install_geometry_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_install_geometry

AtlantisJava_tag = $(tag)

#cmt_local_tagfile_install_geometry = $(AtlantisJava_tag)_install_geometry.make
cmt_local_tagfile_install_geometry = $(bin)$(AtlantisJava_tag)_install_geometry.make

else

tags      = $(tag),$(CMTEXTRATAGS)

AtlantisJava_tag = $(tag)

#cmt_local_tagfile_install_geometry = $(AtlantisJava_tag).make
cmt_local_tagfile_install_geometry = $(bin)$(AtlantisJava_tag).make

endif

include $(cmt_local_tagfile_install_geometry)
#-include $(cmt_local_tagfile_install_geometry)

ifdef cmt_install_geometry_has_target_tag

cmt_final_setup_install_geometry = $(bin)setup_install_geometry.make
#cmt_final_setup_install_geometry = $(bin)AtlantisJava_install_geometrysetup.make
cmt_local_install_geometry_makefile = $(bin)install_geometry.make

else

cmt_final_setup_install_geometry = $(bin)setup.make
#cmt_final_setup_install_geometry = $(bin)AtlantisJavasetup.make
cmt_local_install_geometry_makefile = $(bin)install_geometry.make

endif

cmt_final_setup = $(bin)setup.make
#cmt_final_setup = $(bin)AtlantisJavasetup.make

#install_geometry :: ;

dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	$(echo) 'install_geometry'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = install_geometry/
#install_geometry::
#	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

ifdef use_requirements
$(use_requirements) : ;
endif

#-- end of make_header ------------------


ifeq ($(INSTALLAREA),)
installarea = $(CMTINSTALLAREA)
else
ifeq ($(findstring `,$(INSTALLAREA)),`)
installarea = $(shell $(subst `,, $(INSTALLAREA)))
else
installarea = $(INSTALLAREA)
endif
endif

install_dir = ${installarea}/share/AtlantisJava/geometry

install_geometry :: install_geometryinstall ;

install :: install_geometryinstall ;

install_geometryclean :: install_geometryuninstall

uninstall :: install_geometryuninstall


# This is to avoid error in case there are no files to install
# Ideally, the fragment should not be used without files to install,
# and this line should be dropped then
install_geometryinstall :: ;

IdDictLArHighVoltage_xml_dependencies = ../geometry/IdDictLArHighVoltage.xml
IdDictForwardDetectors_xml_dependencies = ../geometry/IdDictForwardDetectors.xml
ATLAS_IDS_xml_dependencies = ../geometry/ATLAS_IDS.xml
IdDictATLAS_xml_dependencies = ../geometry/IdDictATLAS.xml
IdDictTileCalorimeter_xml_dependencies = ../geometry/IdDictTileCalorimeter.xml
IdDictInnerDetector_xml_dependencies = ../geometry/IdDictInnerDetector.xml
IdDictLArCalorimeter_xml_dependencies = ../geometry/IdDictLArCalorimeter.xml
IdDictLArElectrode_xml_dependencies = ../geometry/IdDictLArElectrode.xml
IdDictCalorimeter_xml_dependencies = ../geometry/IdDictCalorimeter.xml
AMuonGeometry_xml_dependencies = ../geometry/AMuonGeometry.xml
AGeometry_xml_dependencies = ../geometry/AGeometry.xml
IdDictMuonSpectrometer_xml_dependencies = ../geometry/IdDictMuonSpectrometer.xml


install_geometryinstall :: ${install_dir}/IdDictLArHighVoltage.xml
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/IdDictLArHighVoltage.xml :: ../geometry/IdDictLArHighVoltage.xml
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../geometry/IdDictLArHighVoltage.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "IdDictLArHighVoltage.xml" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../geometry/IdDictLArHighVoltage.xml : ;

install_geometryuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../geometry/IdDictLArHighVoltage.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "IdDictLArHighVoltage.xml" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_geometryinstall :: ${install_dir}/IdDictForwardDetectors.xml
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/IdDictForwardDetectors.xml :: ../geometry/IdDictForwardDetectors.xml
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../geometry/IdDictForwardDetectors.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "IdDictForwardDetectors.xml" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../geometry/IdDictForwardDetectors.xml : ;

install_geometryuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../geometry/IdDictForwardDetectors.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "IdDictForwardDetectors.xml" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_geometryinstall :: ${install_dir}/ATLAS_IDS.xml
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/ATLAS_IDS.xml :: ../geometry/ATLAS_IDS.xml
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../geometry/ATLAS_IDS.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "ATLAS_IDS.xml" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../geometry/ATLAS_IDS.xml : ;

install_geometryuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../geometry/ATLAS_IDS.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "ATLAS_IDS.xml" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_geometryinstall :: ${install_dir}/IdDictATLAS.xml
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/IdDictATLAS.xml :: ../geometry/IdDictATLAS.xml
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../geometry/IdDictATLAS.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "IdDictATLAS.xml" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../geometry/IdDictATLAS.xml : ;

install_geometryuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../geometry/IdDictATLAS.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "IdDictATLAS.xml" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_geometryinstall :: ${install_dir}/IdDictTileCalorimeter.xml
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/IdDictTileCalorimeter.xml :: ../geometry/IdDictTileCalorimeter.xml
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../geometry/IdDictTileCalorimeter.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "IdDictTileCalorimeter.xml" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../geometry/IdDictTileCalorimeter.xml : ;

install_geometryuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../geometry/IdDictTileCalorimeter.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "IdDictTileCalorimeter.xml" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_geometryinstall :: ${install_dir}/IdDictInnerDetector.xml
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/IdDictInnerDetector.xml :: ../geometry/IdDictInnerDetector.xml
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../geometry/IdDictInnerDetector.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "IdDictInnerDetector.xml" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../geometry/IdDictInnerDetector.xml : ;

install_geometryuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../geometry/IdDictInnerDetector.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "IdDictInnerDetector.xml" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_geometryinstall :: ${install_dir}/IdDictLArCalorimeter.xml
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/IdDictLArCalorimeter.xml :: ../geometry/IdDictLArCalorimeter.xml
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../geometry/IdDictLArCalorimeter.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "IdDictLArCalorimeter.xml" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../geometry/IdDictLArCalorimeter.xml : ;

install_geometryuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../geometry/IdDictLArCalorimeter.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "IdDictLArCalorimeter.xml" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_geometryinstall :: ${install_dir}/IdDictLArElectrode.xml
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/IdDictLArElectrode.xml :: ../geometry/IdDictLArElectrode.xml
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../geometry/IdDictLArElectrode.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "IdDictLArElectrode.xml" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../geometry/IdDictLArElectrode.xml : ;

install_geometryuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../geometry/IdDictLArElectrode.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "IdDictLArElectrode.xml" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_geometryinstall :: ${install_dir}/IdDictCalorimeter.xml
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/IdDictCalorimeter.xml :: ../geometry/IdDictCalorimeter.xml
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../geometry/IdDictCalorimeter.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "IdDictCalorimeter.xml" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../geometry/IdDictCalorimeter.xml : ;

install_geometryuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../geometry/IdDictCalorimeter.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "IdDictCalorimeter.xml" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_geometryinstall :: ${install_dir}/AMuonGeometry.xml
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/AMuonGeometry.xml :: ../geometry/AMuonGeometry.xml
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../geometry/AMuonGeometry.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "AMuonGeometry.xml" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../geometry/AMuonGeometry.xml : ;

install_geometryuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../geometry/AMuonGeometry.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "AMuonGeometry.xml" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_geometryinstall :: ${install_dir}/AGeometry.xml
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/AGeometry.xml :: ../geometry/AGeometry.xml
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../geometry/AGeometry.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "AGeometry.xml" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../geometry/AGeometry.xml : ;

install_geometryuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../geometry/AGeometry.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "AGeometry.xml" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_geometryinstall :: ${install_dir}/IdDictMuonSpectrometer.xml
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/IdDictMuonSpectrometer.xml :: ../geometry/IdDictMuonSpectrometer.xml
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../geometry/IdDictMuonSpectrometer.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "IdDictMuonSpectrometer.xml" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../geometry/IdDictMuonSpectrometer.xml : ;

install_geometryuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../geometry/IdDictMuonSpectrometer.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "IdDictMuonSpectrometer.xml" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi
#-- start of cleanup_header --------------

clean :: install_geometryclean ;
#	@cd .

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(install_geometry.make) $@: No rule for such target" >&2
else
.DEFAULT::
	$(error PEDANTIC: $@: No rule for such target)
endif

install_geometryclean ::
#-- end of cleanup_header ---------------
