#-- start of make_header -----------------

#====================================
#  Document install_help
#
#   Generated Fri Nov 28 14:39:24 2014  by ejansen
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_install_help_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_install_help_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_install_help

AtlantisJava_tag = $(tag)

#cmt_local_tagfile_install_help = $(AtlantisJava_tag)_install_help.make
cmt_local_tagfile_install_help = $(bin)$(AtlantisJava_tag)_install_help.make

else

tags      = $(tag),$(CMTEXTRATAGS)

AtlantisJava_tag = $(tag)

#cmt_local_tagfile_install_help = $(AtlantisJava_tag).make
cmt_local_tagfile_install_help = $(bin)$(AtlantisJava_tag).make

endif

include $(cmt_local_tagfile_install_help)
#-include $(cmt_local_tagfile_install_help)

ifdef cmt_install_help_has_target_tag

cmt_final_setup_install_help = $(bin)setup_install_help.make
#cmt_final_setup_install_help = $(bin)AtlantisJava_install_helpsetup.make
cmt_local_install_help_makefile = $(bin)install_help.make

else

cmt_final_setup_install_help = $(bin)setup.make
#cmt_final_setup_install_help = $(bin)AtlantisJavasetup.make
cmt_local_install_help_makefile = $(bin)install_help.make

endif

cmt_final_setup = $(bin)setup.make
#cmt_final_setup = $(bin)AtlantisJavasetup.make

#install_help :: ;

dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	$(echo) 'install_help'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = install_help/
#install_help::
#	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

ifdef use_requirements
$(use_requirements) : ;
endif

#-- end of make_header ------------------


ifeq ($(INSTALLAREA),)
installarea = $(CMTINSTALLAREA)
else
ifeq ($(findstring `,$(INSTALLAREA)),`)
installarea = $(shell $(subst `,, $(INSTALLAREA)))
else
installarea = $(INSTALLAREA)
endif
endif

install_dir = ${installarea}/share/AtlantisJava/help

install_help :: install_helpinstall ;

install :: install_helpinstall ;

install_helpclean :: install_helpuninstall

uninstall :: install_helpuninstall


# This is to avoid error in case there are no files to install
# Ideally, the fragment should not be used without files to install,
# and this line should be dropped then
install_helpinstall :: ;

help_jar_dependencies = ../help/help.jar
online_xml_dependencies = ../help/online.xml
vertexing_png_dependencies = ../help/vertexing.png


install_helpinstall :: ${install_dir}/help.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/help.jar :: ../help/help.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../help/help.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "help.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../help/help.jar : ;

install_helpuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../help/help.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "help.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_helpinstall :: ${install_dir}/online.xml
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/online.xml :: ../help/online.xml
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../help/online.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "online.xml" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../help/online.xml : ;

install_helpuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../help/online.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "online.xml" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_helpinstall :: ${install_dir}/vertexing.png
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/vertexing.png :: ../help/vertexing.png
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../help/vertexing.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "vertexing.png" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../help/vertexing.png : ;

install_helpuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../help/vertexing.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "vertexing.png" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi
#-- start of cleanup_header --------------

clean :: install_helpclean ;
#	@cd .

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(install_help.make) $@: No rule for such target" >&2
else
.DEFAULT::
	$(error PEDANTIC: $@: No rule for such target)
endif

install_helpclean ::
#-- end of cleanup_header ---------------
