#-- start of make_header -----------------

#====================================
#  Document install_jar
#
#   Generated Fri Nov 28 14:39:13 2014  by ejansen
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_install_jar_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_install_jar_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_install_jar

AtlantisJava_tag = $(tag)

#cmt_local_tagfile_install_jar = $(AtlantisJava_tag)_install_jar.make
cmt_local_tagfile_install_jar = $(bin)$(AtlantisJava_tag)_install_jar.make

else

tags      = $(tag),$(CMTEXTRATAGS)

AtlantisJava_tag = $(tag)

#cmt_local_tagfile_install_jar = $(AtlantisJava_tag).make
cmt_local_tagfile_install_jar = $(bin)$(AtlantisJava_tag).make

endif

include $(cmt_local_tagfile_install_jar)
#-include $(cmt_local_tagfile_install_jar)

ifdef cmt_install_jar_has_target_tag

cmt_final_setup_install_jar = $(bin)setup_install_jar.make
#cmt_final_setup_install_jar = $(bin)AtlantisJava_install_jarsetup.make
cmt_local_install_jar_makefile = $(bin)install_jar.make

else

cmt_final_setup_install_jar = $(bin)setup.make
#cmt_final_setup_install_jar = $(bin)AtlantisJavasetup.make
cmt_local_install_jar_makefile = $(bin)install_jar.make

endif

cmt_final_setup = $(bin)setup.make
#cmt_final_setup = $(bin)AtlantisJavasetup.make

#install_jar :: ;

dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	$(echo) 'install_jar'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = install_jar/
#install_jar::
#	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

ifdef use_requirements
$(use_requirements) : ;
endif

#-- end of make_header ------------------


ifeq ($(INSTALLAREA),)
installarea = $(CMTINSTALLAREA)
else
ifeq ($(findstring `,$(INSTALLAREA)),`)
installarea = $(shell $(subst `,, $(INSTALLAREA)))
else
installarea = $(INSTALLAREA)
endif
endif

install_dir = ${installarea}/share/AtlantisJava

install_jar :: install_jarinstall ;

install :: install_jarinstall ;

install_jarclean :: install_jaruninstall

uninstall :: install_jaruninstall


# This is to avoid error in case there are no files to install
# Ideally, the fragment should not be used without files to install,
# and this line should be dropped then
install_jarinstall :: ;

atlantis_jar_dependencies = ../atlantis.jar


install_jarinstall :: ${install_dir}/atlantis.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/atlantis.jar :: ../atlantis.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../atlantis.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "atlantis.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../atlantis.jar : ;

install_jaruninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../atlantis.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "atlantis.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi
#-- start of cleanup_header --------------

clean :: install_jarclean ;
#	@cd .

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(install_jar.make) $@: No rule for such target" >&2
else
.DEFAULT::
	$(error PEDANTIC: $@: No rule for such target)
endif

install_jarclean ::
#-- end of cleanup_header ---------------
