#-- start of make_header -----------------

#====================================
#  Document install_lib
#
#   Generated Fri Nov 28 14:39:15 2014  by ejansen
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_install_lib_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_install_lib_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_install_lib

AtlantisJava_tag = $(tag)

#cmt_local_tagfile_install_lib = $(AtlantisJava_tag)_install_lib.make
cmt_local_tagfile_install_lib = $(bin)$(AtlantisJava_tag)_install_lib.make

else

tags      = $(tag),$(CMTEXTRATAGS)

AtlantisJava_tag = $(tag)

#cmt_local_tagfile_install_lib = $(AtlantisJava_tag).make
cmt_local_tagfile_install_lib = $(bin)$(AtlantisJava_tag).make

endif

include $(cmt_local_tagfile_install_lib)
#-include $(cmt_local_tagfile_install_lib)

ifdef cmt_install_lib_has_target_tag

cmt_final_setup_install_lib = $(bin)setup_install_lib.make
#cmt_final_setup_install_lib = $(bin)AtlantisJava_install_libsetup.make
cmt_local_install_lib_makefile = $(bin)install_lib.make

else

cmt_final_setup_install_lib = $(bin)setup.make
#cmt_final_setup_install_lib = $(bin)AtlantisJavasetup.make
cmt_local_install_lib_makefile = $(bin)install_lib.make

endif

cmt_final_setup = $(bin)setup.make
#cmt_final_setup = $(bin)AtlantisJavasetup.make

#install_lib :: ;

dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	$(echo) 'install_lib'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = install_lib/
#install_lib::
#	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

ifdef use_requirements
$(use_requirements) : ;
endif

#-- end of make_header ------------------


ifeq ($(INSTALLAREA),)
installarea = $(CMTINSTALLAREA)
else
ifeq ($(findstring `,$(INSTALLAREA)),`)
installarea = $(shell $(subst `,, $(INSTALLAREA)))
else
installarea = $(INSTALLAREA)
endif
endif

install_dir = ${installarea}/share/AtlantisJava/lib

install_lib :: install_libinstall ;

install :: install_libinstall ;

install_libclean :: install_libuninstall

uninstall :: install_libuninstall


# This is to avoid error in case there are no files to install
# Ideally, the fragment should not be used without files to install,
# and this line should be dropped then
install_libinstall :: ;

batik-dom_jar_dependencies = ../lib/batik-dom.jar
xmlrpc-server-3.1_jar_dependencies = ../lib/xmlrpc-server-3.1.jar
jas-aida_jar_dependencies = ../lib/jas-aida.jar
batik-anim_jar_dependencies = ../lib/batik-anim.jar
jas-jas-plotter_jar_dependencies = ../lib/jas-jas-plotter.jar
batik-css_jar_dependencies = ../lib/batik-css.jar
batik-svggen_jar_dependencies = ../lib/batik-svggen.jar
batik-bridge_jar_dependencies = ../lib/batik-bridge.jar
batik-parser_jar_dependencies = ../lib/batik-parser.jar
oncrpc_jar_dependencies = ../lib/oncrpc.jar
jas-jel_jar_dependencies = ../lib/jas-jel.jar
batik-gui-util_jar_dependencies = ../lib/batik-gui-util.jar
batik-xml_jar_dependencies = ../lib/batik-xml.jar
xml-apis-ext_jar_dependencies = ../lib/xml-apis-ext.jar
xmlrpc-common-3.1_jar_dependencies = ../lib/xmlrpc-common-3.1.jar
jogl_jar_dependencies = ../lib/jogl.jar
batik-script_jar_dependencies = ../lib/batik-script.jar
batik-transcoder_jar_dependencies = ../lib/batik-transcoder.jar
commons-logging-1.1_jar_dependencies = ../lib/commons-logging-1.1.jar
log4j-1.2.15_jar_dependencies = ../lib/log4j-1.2.15.jar
jh_jar_dependencies = ../lib/jh.jar
batik-svg-dom_jar_dependencies = ../lib/batik-svg-dom.jar
batik-extension_jar_dependencies = ../lib/batik-extension.jar
ostermillerutils_1_05_00_jar_dependencies = ../lib/ostermillerutils_1_05_00.jar
batik-codec_jar_dependencies = ../lib/batik-codec.jar
batik-util_jar_dependencies = ../lib/batik-util.jar
Jama_jar_dependencies = ../lib/Jama.jar
ws-commons-util-1.0.2_jar_dependencies = ../lib/ws-commons-util-1.0.2.jar
xercesImpl_jar_dependencies = ../lib/xercesImpl.jar
batik-swing_jar_dependencies = ../lib/batik-swing.jar
commons-cli-1.0_jar_dependencies = ../lib/commons-cli-1.0.jar
xmlrpc-client-3.1_jar_dependencies = ../lib/xmlrpc-client-3.1.jar
jas-aida-dev_jar_dependencies = ../lib/jas-aida-dev.jar
commons-codec-1.4_jar_dependencies = ../lib/commons-codec-1.4.jar
jlibeps_jar_dependencies = ../lib/jlibeps.jar
batik-ext_jar_dependencies = ../lib/batik-ext.jar
batik-gvt_jar_dependencies = ../lib/batik-gvt.jar
wired-base-4.0.beta.3-SNAPSHOT_jar_dependencies = ../lib/wired-base-4.0.beta.3-SNAPSHOT.jar
jas-JMinuit_jar_dependencies = ../lib/jas-JMinuit.jar
xml-apis_jar_dependencies = ../lib/xml-apis.jar
batik-awt-util_jar_dependencies = ../lib/batik-awt-util.jar
jas-freehep-base_jar_dependencies = ../lib/jas-freehep-base.jar
jas-freehep-hep_jar_dependencies = ../lib/jas-freehep-hep.jar


install_libinstall :: ${install_dir}/batik-dom.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/batik-dom.jar :: ../lib/batik-dom.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-dom.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "batik-dom.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/batik-dom.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-dom.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "batik-dom.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/xmlrpc-server-3.1.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/xmlrpc-server-3.1.jar :: ../lib/xmlrpc-server-3.1.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/xmlrpc-server-3.1.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "xmlrpc-server-3.1.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/xmlrpc-server-3.1.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/xmlrpc-server-3.1.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "xmlrpc-server-3.1.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/jas-aida.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/jas-aida.jar :: ../lib/jas-aida.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/jas-aida.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "jas-aida.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/jas-aida.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/jas-aida.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "jas-aida.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/batik-anim.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/batik-anim.jar :: ../lib/batik-anim.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-anim.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "batik-anim.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/batik-anim.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-anim.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "batik-anim.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/jas-jas-plotter.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/jas-jas-plotter.jar :: ../lib/jas-jas-plotter.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/jas-jas-plotter.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "jas-jas-plotter.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/jas-jas-plotter.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/jas-jas-plotter.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "jas-jas-plotter.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/batik-css.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/batik-css.jar :: ../lib/batik-css.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-css.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "batik-css.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/batik-css.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-css.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "batik-css.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/batik-svggen.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/batik-svggen.jar :: ../lib/batik-svggen.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-svggen.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "batik-svggen.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/batik-svggen.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-svggen.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "batik-svggen.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/batik-bridge.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/batik-bridge.jar :: ../lib/batik-bridge.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-bridge.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "batik-bridge.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/batik-bridge.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-bridge.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "batik-bridge.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/batik-parser.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/batik-parser.jar :: ../lib/batik-parser.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-parser.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "batik-parser.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/batik-parser.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-parser.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "batik-parser.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/oncrpc.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/oncrpc.jar :: ../lib/oncrpc.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/oncrpc.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "oncrpc.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/oncrpc.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/oncrpc.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "oncrpc.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/jas-jel.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/jas-jel.jar :: ../lib/jas-jel.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/jas-jel.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "jas-jel.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/jas-jel.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/jas-jel.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "jas-jel.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/batik-gui-util.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/batik-gui-util.jar :: ../lib/batik-gui-util.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-gui-util.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "batik-gui-util.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/batik-gui-util.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-gui-util.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "batik-gui-util.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/batik-xml.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/batik-xml.jar :: ../lib/batik-xml.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-xml.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "batik-xml.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/batik-xml.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-xml.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "batik-xml.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/xml-apis-ext.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/xml-apis-ext.jar :: ../lib/xml-apis-ext.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/xml-apis-ext.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "xml-apis-ext.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/xml-apis-ext.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/xml-apis-ext.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "xml-apis-ext.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/xmlrpc-common-3.1.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/xmlrpc-common-3.1.jar :: ../lib/xmlrpc-common-3.1.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/xmlrpc-common-3.1.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "xmlrpc-common-3.1.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/xmlrpc-common-3.1.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/xmlrpc-common-3.1.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "xmlrpc-common-3.1.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/jogl.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/jogl.jar :: ../lib/jogl.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/jogl.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "jogl.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/jogl.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/jogl.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "jogl.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/batik-script.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/batik-script.jar :: ../lib/batik-script.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-script.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "batik-script.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/batik-script.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-script.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "batik-script.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/batik-transcoder.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/batik-transcoder.jar :: ../lib/batik-transcoder.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-transcoder.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "batik-transcoder.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/batik-transcoder.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-transcoder.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "batik-transcoder.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/commons-logging-1.1.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/commons-logging-1.1.jar :: ../lib/commons-logging-1.1.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/commons-logging-1.1.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "commons-logging-1.1.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/commons-logging-1.1.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/commons-logging-1.1.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "commons-logging-1.1.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/log4j-1.2.15.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/log4j-1.2.15.jar :: ../lib/log4j-1.2.15.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/log4j-1.2.15.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "log4j-1.2.15.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/log4j-1.2.15.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/log4j-1.2.15.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "log4j-1.2.15.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/jh.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/jh.jar :: ../lib/jh.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/jh.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "jh.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/jh.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/jh.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "jh.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/batik-svg-dom.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/batik-svg-dom.jar :: ../lib/batik-svg-dom.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-svg-dom.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "batik-svg-dom.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/batik-svg-dom.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-svg-dom.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "batik-svg-dom.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/batik-extension.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/batik-extension.jar :: ../lib/batik-extension.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-extension.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "batik-extension.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/batik-extension.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-extension.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "batik-extension.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/ostermillerutils_1_05_00.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/ostermillerutils_1_05_00.jar :: ../lib/ostermillerutils_1_05_00.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/ostermillerutils_1_05_00.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "ostermillerutils_1_05_00.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/ostermillerutils_1_05_00.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/ostermillerutils_1_05_00.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "ostermillerutils_1_05_00.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/batik-codec.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/batik-codec.jar :: ../lib/batik-codec.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-codec.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "batik-codec.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/batik-codec.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-codec.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "batik-codec.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/batik-util.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/batik-util.jar :: ../lib/batik-util.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-util.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "batik-util.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/batik-util.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-util.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "batik-util.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/Jama.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/Jama.jar :: ../lib/Jama.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/Jama.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "Jama.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/Jama.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/Jama.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "Jama.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/ws-commons-util-1.0.2.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/ws-commons-util-1.0.2.jar :: ../lib/ws-commons-util-1.0.2.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/ws-commons-util-1.0.2.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "ws-commons-util-1.0.2.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/ws-commons-util-1.0.2.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/ws-commons-util-1.0.2.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "ws-commons-util-1.0.2.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/xercesImpl.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/xercesImpl.jar :: ../lib/xercesImpl.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/xercesImpl.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "xercesImpl.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/xercesImpl.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/xercesImpl.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "xercesImpl.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/batik-swing.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/batik-swing.jar :: ../lib/batik-swing.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-swing.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "batik-swing.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/batik-swing.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-swing.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "batik-swing.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/commons-cli-1.0.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/commons-cli-1.0.jar :: ../lib/commons-cli-1.0.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/commons-cli-1.0.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "commons-cli-1.0.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/commons-cli-1.0.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/commons-cli-1.0.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "commons-cli-1.0.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/xmlrpc-client-3.1.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/xmlrpc-client-3.1.jar :: ../lib/xmlrpc-client-3.1.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/xmlrpc-client-3.1.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "xmlrpc-client-3.1.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/xmlrpc-client-3.1.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/xmlrpc-client-3.1.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "xmlrpc-client-3.1.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/jas-aida-dev.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/jas-aida-dev.jar :: ../lib/jas-aida-dev.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/jas-aida-dev.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "jas-aida-dev.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/jas-aida-dev.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/jas-aida-dev.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "jas-aida-dev.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/commons-codec-1.4.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/commons-codec-1.4.jar :: ../lib/commons-codec-1.4.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/commons-codec-1.4.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "commons-codec-1.4.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/commons-codec-1.4.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/commons-codec-1.4.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "commons-codec-1.4.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/jlibeps.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/jlibeps.jar :: ../lib/jlibeps.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/jlibeps.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "jlibeps.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/jlibeps.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/jlibeps.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "jlibeps.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/batik-ext.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/batik-ext.jar :: ../lib/batik-ext.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-ext.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "batik-ext.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/batik-ext.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-ext.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "batik-ext.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/batik-gvt.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/batik-gvt.jar :: ../lib/batik-gvt.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-gvt.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "batik-gvt.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/batik-gvt.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-gvt.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "batik-gvt.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/wired-base-4.0.beta.3-SNAPSHOT.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/wired-base-4.0.beta.3-SNAPSHOT.jar :: ../lib/wired-base-4.0.beta.3-SNAPSHOT.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/wired-base-4.0.beta.3-SNAPSHOT.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "wired-base-4.0.beta.3-SNAPSHOT.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/wired-base-4.0.beta.3-SNAPSHOT.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/wired-base-4.0.beta.3-SNAPSHOT.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "wired-base-4.0.beta.3-SNAPSHOT.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/jas-JMinuit.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/jas-JMinuit.jar :: ../lib/jas-JMinuit.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/jas-JMinuit.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "jas-JMinuit.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/jas-JMinuit.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/jas-JMinuit.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "jas-JMinuit.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/xml-apis.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/xml-apis.jar :: ../lib/xml-apis.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/xml-apis.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "xml-apis.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/xml-apis.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/xml-apis.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "xml-apis.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/batik-awt-util.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/batik-awt-util.jar :: ../lib/batik-awt-util.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-awt-util.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "batik-awt-util.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/batik-awt-util.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/batik-awt-util.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "batik-awt-util.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/jas-freehep-base.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/jas-freehep-base.jar :: ../lib/jas-freehep-base.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/jas-freehep-base.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "jas-freehep-base.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/jas-freehep-base.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/jas-freehep-base.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "jas-freehep-base.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_libinstall :: ${install_dir}/jas-freehep-hep.jar
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/jas-freehep-hep.jar :: ../lib/jas-freehep-hep.jar
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/jas-freehep-hep.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "jas-freehep-hep.jar" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../lib/jas-freehep-hep.jar : ;

install_libuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../lib/jas-freehep-hep.jar`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "jas-freehep-hep.jar" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi
#-- start of cleanup_header --------------

clean :: install_libclean ;
#	@cd .

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(install_lib.make) $@: No rule for such target" >&2
else
.DEFAULT::
	$(error PEDANTIC: $@: No rule for such target)
endif

install_libclean ::
#-- end of cleanup_header ---------------
